curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/cart/orders' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"success": true,
"externalId": "string",
"statusCode": 1,
"response": {}
}
Create an order in Cart.com
Cart.com order creation result
POST
/
v1
/
tenants
/
{tenant_id}
/
cart
/
orders
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/cart/orders' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"success": true,
"externalId": "string",
"statusCode": 1,
"response": {}
}
Path parameters
string
required
Tenant identifier
Request body
JSON body of typeobject.
Response
object
boolean
required
Whether order was created successfully
string
Cart.com external order ID
integer
required
HTTP status code from Cart.com
object
required
Raw Cart.com response
Status codes
| Code | Meaning |
|---|---|
200 | Cart.com order creation result |
401 | Unauthorized |
422 | Validation error |
424 | Cart.com integration not configured |
502 | Cart.com API error |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/cart/orders' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"success": true,
"externalId": "string",
"statusCode": 1,
"response": {}
}
Last modified on August 31, 2026